/*------------------------------------*\
  colors
\*------------------------------------*/

// Main colour palette
$white            : #FFFFFF;
$black            : #000000;
$gray             : #C8C8C8;
$gray-light       : #DCDCDC;
$blue             : #4C4BFA;
$green            : #43B06F;
$yellow           : #FEFD37;


// Assign colours to variable roles
$body-color       : $white;
$base-color       : $black;
$action           : $blue;
$action-response  : $gray;



/*------------------------------------*\
  breakpoints
\*------------------------------------*/

$breakpoints: (
  xs  : 320px,
  sm  : 768px,
  md  : 1024px,
  lg  : 1280px,
  xl  : 1440px,
  xxl : 1920px
);

$grid-gutter-width: 36px !default;



/*------------------------------------*\
  fonts
\*------------------------------------*/

%font-body {
  font-family: "everett-regular", Helvetica, Arial, sans-serif;
  font-style: normal;
  font-weight: normal;
}


%font-body-italic {
  font-family: "everett-regular", Helvetica, Arial, sans-serif;
  font-style: normal;
  font-weight: normal;
}

%font-body-bold {
  font-family: "everett-regular", Helvetica, Arial, sans-serif;
  font-style: normal;
  font-weight: normal;
}

%font-body-bold-italic {
  font-family: "everett-regular", Helvetica, Arial, sans-serif;
  font-style: normal;
  font-weight: normal;
}

%font-var {
  font-family: "everett-mono", Helvetica, Arial, sans-serif;
  font-style: normal;
  font-weight: normal;
}



/*------------------------------------*\
  typesize/scale
\*------------------------------------*/

$unit-base         : 14px;
$unit-start        : 1rem;
$line-height       : 1.2;
$line-height-var   : .925;

$font-size-xs      : $unit-start * 0.667; // 10
$font-size-sm      : $unit-start * 0.800; // 12
$font-size-md      : $unit-start * 1.000; // 15
$font-size-lg      : $unit-start * 1.333; // 20
$font-size-xl      : $unit-start * 2.667; // 40
$font-size-xxl     : $unit-start * 3.200; // 48

%font-size-xs {
  font-size: $font-size-xs;
  line-height: $line-height;
}
%font-size-sm {
  font-size: $font-size-sm;
  line-height: $line-height;
}
%font-size-md {
  font-size: $font-size-md;
  line-height: $line-height;
}
%font-size-lg {
  font-size: $font-size-lg;
  line-height: $line-height;
}
%font-size-xl {
  font-size: $font-size-xl;
  line-height: $line-height-var;
}
%font-size-xxl {
  font-size: $font-size-xxl;
  line-height: $line-height-var;
}


/*------------------------------------*\
  spacing
\*------------------------------------*/

$spacing-base     : 1rem;

$spacing-xxxl     : $spacing-base * 6.667; // 120
$spacing-xxl      : $spacing-base * 4.444; // 80
$spacing-xl       : $spacing-base * 3.333; // 60
$spacing-lg       : $spacing-base * 2.222; // 40
$spacing-md       : $spacing-base * 1.667; // 30
$spacing-sm       : $spacing-base * 1.111; // 20
$spacing-xs       : $spacing-base * 0.556; // 10
$spacing-xxs      : $spacing-base * 0.278; // 5



/*------------------------------------*\
  borders
\*------------------------------------*/

$border-width-sm         : 1px;
$border-width-md         : $border-width-sm*3;


/*------------------------------------*\
  misc
\*------------------------------------*/

$content-max-width : 750px;
$header-lg-height : 49px;